import { CrysteamPortal, RoutePermission } from "@crysteam/portal";
export type NotifyOptions = {
    portal: CrysteamPortal;
    scopes?: RoutePermission[];
    host?: string;
};
export type NotificationPayload = {
    user_id: string;
    title?: string;
    message: string;
};
export declare class Notify {
    private _http?;
    private readonly _host;
    private readonly _portal;
    private _availableScopes?;
    private readonly _customScopes?;
    constructor(options: NotifyOptions);
    private _initialize;
    private _hasScope;
    send(payload: NotificationPayload): Promise<void>;
}
